=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk

ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

DEFAULT_PYTHON3	:= $(shell py3versions -dv)
PY3VERS		:= $(shell py3versions -vr '>= 3.0')

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

CONFIGURE_ARGS := \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--enable-tests=no \
	--disable-gtk-doc \
	--disable-java \
	--disable-php \
	--enable-perl


config.status: configure.ac
	dh_testdir
	dh_autoreconf
	# run configure once per Python3 version, and copy resulting directory
	# aside
	set -e; \
	for v in $(PY3VERS); do \
		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(CONFIGURE_ARGS) --with-python=/usr/bin/python$$v; \
		rm -rf bindings/python$$v; \
		cp -a bindings/python bindings/python$$v; \
	done

build-arch: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE) V=1
	set -e; \
	for v in $(PY3VERS); do \
	  $(MAKE) PYTHON=/usr/bin/python$$v -C bindings/python$$v clean; \
	  $(MAKE) PYTHON=/usr/bin/python$$v -C bindings/python$$v; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp


	[ ! -f Makefile ] || $(MAKE) distclean

	for v in $(PY3VERS); do \
	  rm -rf bindings/python$$v; \
	done

	rm -f config.log
	rm -f debian/liblasso-perl.install
	rm -f ./bindings/perl/MYMETA.json ./bindings/perl/MYMETA.yml
	rm -rf ./bindings/perl/__pycache__ ./bindings/__pycache__ ./bindings/python/__pycache__

	dh_autoreconf_clean
	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
		GACUTIL="/usr/bin/gacutil -root $(CURDIR)/debian/tmp/usr/lib"

	# install and rename module for all supporter Python 3 versions
	set -e; \
	for v in $(PY3VERS); do \
	  $(MAKE) -C bindings/python$$v install DESTDIR=$(CURDIR)/debian/tmp; \
	  PYVER=/usr/bin/python$$v ; \
	  SUFFIX=$$($$PYVER -c 'import sysconfig; print(sysconfig.get_config_var("EXT_SUFFIX"))') ; \
	  mv $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/_lasso.so \
		  $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/_lasso$$SUFFIX ; \
	done

	sed -e 's,$${archlib},$(ARCHLIB),g' debian/liblasso-perl.install.in > debian/liblasso-perl.install


build-indep:

install-indep:

build: build-arch build-indep

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	#dh_makeclilibs -L liblasso-cil -r

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples -XCVS
	dh_installman
	dh_install
	mkdir $(CURDIR)/debian/liblasso3-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/liblasso3-dev/usr/lib/pkgconfig $(CURDIR)/debian/liblasso3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	chrpath -d $(CURDIR)/debian/liblasso-perl/$(ARCHLIB)/auto/Lasso/Lasso.so
	dh_link
	dh_strip
	dh_perl
	dh_python3 -ppython3-lasso
	dh_compress
	dh_fixperms
	dh_makeshlibs -a -V
	dh_installdeb
	dh_shlibdeps -a
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch install-arch build-indep install-indep clean binary-indep binary-arch binary install
