## lasso 2.8.1

=== debian/changelog ===
lasso (2.8.1-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * tests: test that inserted comment do not change node value and still
    validate signature
  * xml: prevent assignment of attribute value inside any attribute
    (CVE-2025-47151)
  * misc: check xmlSecGetNodeNsHref for possible NULL result (CVE-2025-46404)
  * xml: do not terminate on an unknown XML node type (CVE-2025-46705)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 07 Nov 2025 21:51:12 +0100

lasso (2.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/use-openssl-evp-api.diff: remove, upstream.

 -- Frederic Peters <fpeters@debian.org>  Wed, 01 Mar 2023 08:36:25 +0100

lasso (2.8.0-4) unstable; urgency=medium

  * d/tests/control: introduce autopkgtests, checking that the Python binding
    runs basic methods correctly and the Perl module loads properly.

 -- Frederic Peters <fpeters@debian.org>  Thu, 09 Feb 2023 10:59:58 +0100

lasso (2.8.0-3) unstable; urgency=medium

  * d/changelog: fix typo in old changelog entry (s/uptream/upstream/).
  * d/liblasso3.symbols: strip debian revision from lasso_log symbol.
  * d/control, d/rules: run make check to catch some errors early.
    (closes: 809762) (adapted from patch by Corey Bryant, thanks).

 -- Frederic Peters <fpeters@debian.org>  Thu, 17 Nov 2022 09:29:59 +0100

lasso (2.8.0-2) unstable; urgency=medium

  * debian/patches/use-openssl-evp-api.diff: import upstream WIP patch for
    compatibility with latest xmlsec (closes: 1024138)

 -- Frederic Peters <fpeters@debian.org>  Wed, 16 Nov 2022 19:12:02 +0100
