=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,9 @@
 	  $(MAKE) PYTHON=/usr/bin/python$$v -C bindings/python$$v clean; \
 	  $(MAKE) PYTHON=/usr/bin/python$$v -C bindings/python$$v; \
 	done
+
+	# Run tests
+	$(MAKE) check
 
 	touch build-stamp
