## lasso 2.8.2

=== debian/changelog ===
lasso (2.8.2-9ubuntu2) questing; urgency=medium

  * Apply patches from Fedora.
  * Apply 66c9f50f1f6b00d621a9a0ca2f924875f94d14ae.diff from upstream.
  * Ignore test results for now, python bindings profiles_test fails.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 May 2025 11:25:21 +0200

lasso (2.8.2-9) unstable; urgency=medium

  * d/control: add perl-xs-dev to build-depends. (closes: #1102829)

 -- Frederic Peters <fpeters@debian.org>  Sat, 12 Apr 2025 19:44:53 +0200

lasso (2.8.2-8) unstable; urgency=medium

  * d/p/gcc-15.patch: fix compilation errors with gcc-15. (closes: #1097149)

 -- Frederic Peters <fpeters@debian.org>  Mon, 17 Feb 2025 18:58:26 +0100

lasso (2.8.2-7) unstable; urgency=medium

  * d/p/python_unittest_3.13.patch: update Python binding tests to not
    use deprecated/removed in python 3.13 methods. (closes: #1092515)

 -- Frederic Peters <fpeters@debian.org>  Thu, 09 Jan 2025 07:34:44 +0100

lasso (2.8.2-6) unstable; urgency=medium

  * debian/rules: fix perl binding Lasso.so permissions before running
    chrpath. (closes: #1089356)

 -- Frederic Peters <fpeters@debian.org>  Sat, 07 Dec 2024 20:42:52 +0100

lasso (2.8.2-5) unstable; urgency=medium

  * debian/control: add python3-setuptools to build-depends. (closes: #1080625)

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 Sep 2024 17:19:28 +0200

lasso (2.8.2-4) unstable; urgency=medium

  * debian/patches/misc-remove-usage-of-python-six-module.patch: backport
    upstream patch to remove python six module usage. (closes: #1079915)
  * debian/control: remove python3-six from build-depends.

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Aug 2024 12:14:31 +0200

lasso (2.8.2-3) unstable; urgency=medium

  * debian/patches/0001-misc-adjust-to-structured-error-callback-argument-ch.patch,
    debian/patches/0001-misc-fix-implicit-function-declaration-errors-85340.patch,
    debian/patches/0001-xml-fix-uninitialized-local-variable-85339.patch:
    backport git commits to fix build failure with GCC 14. (closes: #1075128)

 -- Frederic Peters <fpeters@debian.org>  Fri, 05 Jul 2024 10:36:46 +0200

lasso (2.8.2-2) unstable; urgency=medium

  * Acknowledge NMU.
  * d/control: remove explicit libxmlsec1-openssl from build-depends.
    (closes: #1065321)

 -- Frederic Peters <fpeters@debian.org>  Sat, 02 Mar 2024 18:58:24 +0100

lasso (2.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062518

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 17:25:28 +0000

lasso (2.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Frederic Peters <fpeters@debian.org>  Sat, 30 Dec 2023 10:18:40 +0100

lasso (2.8.1-4) unstable; urgency=medium

  * debian/tests/control: add missing/explicit python3-lasso to python
    autopkgtests (followup to 1059641).

 -- Frederic Peters <fpeters@debian.org>  Sat, 30 Dec 2023 08:48:25 +0100

lasso (2.8.1-3) unstable; urgency=medium

  * debian/tests/control: add missing depends: python3-all to python
    autopkgtests (closes: 1059641)

 -- Frederic Peters <fpeters@debian.org>  Fri, 29 Dec 2023 20:07:18 +0100

lasso (2.8.1-2) unstable; urgency=medium

  * debian/control: add build-dependency on python3-all (closes: 1056418)

 -- Frederic Peters <fpeters@debian.org>  Wed, 22 Nov 2023 13:09:36 +0100
