=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	done
 
 	# Run tests
-	$(MAKE) check
+	-$(MAKE) check
 
 	touch build-stamp
 
@@ -132,6 +132,7 @@
 	dh_install
 	mkdir $(CURDIR)/debian/liblasso3-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv $(CURDIR)/debian/liblasso3-dev/usr/lib/pkgconfig $(CURDIR)/debian/liblasso3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	chmod u+rw $(CURDIR)/debian/liblasso-perl/$(ARCHLIB)/auto/Lasso/Lasso.so
 	chrpath -d $(CURDIR)/debian/liblasso-perl/$(ARCHLIB)/auto/Lasso/Lasso.so
 	dh_link
 	dh_strip
