## lasso 2.8.2.76.gf07af2

=== debian/changelog ===
lasso (2.8.2.76.gf07af2-1~eob130+1) trixie-eobuilder; urgency=medium

  * Eobuilder version

 -- Frederic Peters <eobuilder@entrouvert.org>  Mon, 11 Aug 2025 10:55:00 +0200
