## lasso 2.8.2.78.g55d1

=== debian/changelog ===
lasso (2.8.2.78.g55d1-1~eob130+1) trixie-eobuilder; urgency=medium

  * Eobuilder version

 -- Frederic Peters <eobuilder@entrouvert.org>  Tue, 12 Aug 2025 12:29:51 +0200
