## lasso 2.9.0

=== debian/changelog ===
lasso (2.9.0-2) unstable; urgency=medium

  * d/p/no-Werror-undef.diff: remove -Werror=undef to fix FTBFS on mips64el.

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Aug 2025 12:27:07 +0200

lasso (2.9.0-1) unstable; urgency=medium

  * New upstream release.
    * Fix build with libxml 2.14.x and newer xmlsec1. (closes: #1106675)
    * debian/liblasso3t64.symbols: update with new symbols.
  * Drop all patches, available upstream.
  * d/control: remove very old Provides/Conflicts lines of liblasso3-dev.
  * d/control: bump Standards-Version to 4.7.2, no changes required. (but no
    switch to "dh" yet).

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Aug 2025 09:43:50 +0200
