=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	done
 
 	# Run tests
-	-$(MAKE) check
+	$(MAKE) check
 
 	touch build-stamp
