## lasso 2.9.0.1.g1c951

=== debian/changelog ===
lasso (2.9.0.1.g1c951-1~eob120+1) bookworm-eobuilder; urgency=medium

  * Eobuilder version

 -- Frederic Peters <eobuilder@entrouvert.org>  Mon, 18 Aug 2025 11:01:58 +0200
