=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: libs
 Maintainer: Frederic Peters <fpeters@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
         dh-python,
         liberror-perl,
         gtk-doc-tools,
@@ -10,20 +10,21 @@
         libxslt1-dev,
         libxmlsec1-dev,
         libglib2.0-dev,
-        perl-xs-dev,
         python3-all-dev (>= 3.2),
         python3-setuptools,
         libexpat1-dev,
         python3-all,
         python3-lxml,
         chrpath
-Standards-Version: 4.7.2
+Standards-Version: 4.6.0
 Homepage: https://lasso.entrouvert.org
 
 Package: liblasso3-dev
 Section: libdevel
 Architecture: any
-Depends: liblasso3t64 (= ${binary:Version}), libxml2-dev, libxmlsec1-dev, libglib2.0-dev, ${misc:Depends}
+Depends: liblasso3 (= ${binary:Version}), libxml2-dev, libxmlsec1-dev, libglib2.0-dev, ${misc:Depends}
+Provides: liblasso-dev
+Conflicts: liblasso-dev, liblasso0, liblasso1
 Description: Library for Liberty Alliance and SAML protocols - development kit
  Lasso is an implementation of Liberty Alliance and related protocols, for
  network identity federations, single sign-on and other web services protocols.
@@ -31,10 +32,7 @@
  .
  This package contains the development files for Lasso.
  
-Package: liblasso3t64
-Provides: ${t64:Provides}
-Replaces: liblasso3
-Breaks: liblasso3 (<< ${source:Version})
+Package: liblasso3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
